# bgc

## Description
> bgc - Set your background to a color

**bgc** is a small program that connects to the default _X display_ and changes
the _root window_ background to the color received as input.

Is written in C, using the _X11_ library.

## Why?
I recently installed Arch linux and started _ricing_ my setup; I want it to
keep it as minimal (and functional) as possible.

This is part of the **madness**.

![xkcd - command line fu](http://imgs.xkcd.com/comics/command_line_fu.png)

## Install
```
make
make install
```

## Usage
`bgc "#hexcolor"`

Example: `bgc "#8A9B3C"`

## References
Inspired by [bgs - background setter][bgs].

- [Learning to use X11][linux-journal-x11]
- [Tronche's X11 stuff][tronche]

[bgs]: https://github.com/Gottox/bgs
[tronche]: https://tronche.com/gui/x/
[linux-journal-x11]: http://www.linuxjournal.com/article/4879

## License
> This is free and unencumbered software released into the public domain.
>
> Anyone is free to copy, modify, publish, use, compile, sell, or
> distribute this software, either in source code form or as a compiled
> binary, for any purpose, commercial or non-commercial, and by any
> means.
>
> In jurisdictions that recognize copyright laws, the author or authors
> of this software dedicate any and all copyright interest in the
> software to the public domain. We make this dedication for the benefit
> of the public at large and to the detriment of our heirs and
> successors. We intend this dedication to be an overt act of
> relinquishment in perpetuity of all present and future rights to this
> software under copyright law.
>
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
> EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
> MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
> IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
> OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
> ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
> OTHER DEALINGS IN THE SOFTWARE.
>
> For more information, please refer to <http://unlicense.org/>
